com.facebook.presto.jdbc

## Class PrestoIntervalYearMonth

- java.lang.Object
- - com.facebook.presto.jdbc.PrestoIntervalYearMonth

    public class PrestoIntervalYearMonth
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PrestoIntervalYearMonth(int year, int months)`
`PrestoIntervalYearMonth(long months)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`long` `getMonths()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrestoIntervalYearMonth

    public PrestoIntervalYearMonth(long months)

#### PrestoIntervalYearMonth

    public PrestoIntervalYearMonth(int year,
                                   int months)

### Method Detail

#### getMonths

    public long getMonths()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`